This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 444084 - TB3cd2c944 ethernethardware.py:48:__init__:RuntimeError: could not create GladeXML object
TB3cd2c944 ethernethardware.py:48:__init__:RuntimeError: could not create Gla...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 17:28 EDT by Adriaan Larmuseau
Modified: 2009-07-14 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adriaan Larmuseau 2008-04-24 17:28:14 EDT
as shown by the error window

Component: system-config-network
Version: 1.5.6
Summary: TB3cd2c944 ethernethardware.py:48:__init__:RuntimeError: could not
create GladeXML object

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
816, in on_editButton_clicked
    self.editButtonFunc[self.active_page](button)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
1624, in on_hardwareEditButton_clicked
    if self.showHardwareDialog(hw) == gtk.RESPONSE_OK:
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
1634, in showHardwareDialog
    dl = hw.getDialog()
  File "/usr/share/system-config-network/netconfpkg/plugins/NCHWWireless.py",
line 33, in getDialog
    return _hwEthernetDialog(self).xml.get_widget("Dialog")
  File "/usr/share/system-config-network/netconfpkg/gui/ethernethardware.py",
line 48, in __init__
RuntimeError: could not create GladeXML object

Local variables in innermost frame:
self: <netconfpkg.gui.ethernethardware.ethernetHardwareDialog instance at 0x979444c>
hw: Hardware.Status=system
Hardware.Name=wlan0
Hardware.Type=Wireless
Hardware.Card.ModuleName=iwl3945
Hardware.Description=Intel Corporation PRO/Wireless 3945ABG Network Connection

glade_file: /usr/share/system-config-network/netconfpkg/gui/ethernethardware.glade


Version-Release number of selected component (if applicable):

Version: 1.5.6

How reproducible:

This bug was encountered on the fedora 9 preview live cd and is easily
reproducible by the following steps

Steps to Reproduce:
1.choose the tab  Hardware
2. click on intel Corporation PRO wireless 3945 
3. choose the option edit
  
Actual results:

an error message posted here above

Expected results:
the edit section for my wireless card

Additional info:
the above bug was reproduced using an intel wireless with iwconfig results :
 IEEE 802.11  ESSID:"cpwbs154272D5B"  
          Mode:Managed  Frequency:2.412 GHz  Access Point: 00:12:BF:27:2D:5D   
          Bit Rate=11 Mb/s   Tx-Power=15 dBm   
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B   
          Encryption key: here's a wpa key
          Link Quality=79/100  Signal level=-55 dBm  Noise level=-85 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

What's very strange about this iwconfig is that my card should normally run
under an 48Mb/s rate like it does on ubuntu and other distributions
Comment 1 Bug Zapper 2008-05-14 06:07:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:25:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:22:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.